Bug 143148 - Use pragma once instead of include guards (Episode 2: Endgame)
Summary: Use pragma once instead of include guards (Episode 2: Endgame)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.4.0 reviewed:20...
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: Dev-related
  Show dependency treegraph
 
Reported: 2021-07-01 15:07 UTC by Buovjaga
Modified: 2024-06-15 11:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2021-07-01 15:07:20 UTC
Background: https://en.wikipedia.org/wiki/Include_guard

The task is to remove the include guards in the header files and replace them with "#pragma once".

This report is a continuation of bug 124176 - please see the commits in it for examples. The idea is to work on a few files per patch and move on to other tasks. This is a good first task for beginners.

Keep in mind:
- leave the status as NEW and do not assign this to yourself - multi-hacker tasks work like this
- write a brief, but informative commit message referring to the report ID
- don't leave extra blank lines in the source files

Simple command to get a list of possible candidates:

git grep "#ifndef" | grep hxx

Helper scripts are in bug 124176 comment 126 and bug 124176 comment 213

NOTE:

There are some source files containing include guards that are meant to also be processed by compilers other than LO's build baseline compilers:

* All URE include files, see the (generated via odk/CustomTarget_allheaders.mk) workdir/CustomTarget/odk/allheaders/allheaders.hxx for a complete list.

* Anything under odk/examples/.

For those source files, it is probably better to conservatively stick with include guards than to replace them with #pragma once.

To generate the allheaders.hxx file, run

make CustomTarget_odk/allheaders
Comment 1 Commit Notification 2021-07-15 06:07:18 UTC
YakovlevAl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2a31c5dd37012de5a52dbbc08937401fc38434fb

tdf#143148 Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-07-22 14:31:38 UTC
Sabyasachi Bhoi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cf717f6d41dd3a2a582ee1478e83c281b18b9c3f

tdf#143148: Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-07-24 15:14:26 UTC
Huilin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c5dcf48789d705d1b842e45d7c22cb38e477307c

tdf#143148: Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-07-30 05:56:01 UTC
Huilin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/151237558c3da083a45b29a98523366a8d438aeb

tdf#143148: Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-08-05 18:23:21 UTC
oguzbalkaya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ae1ac7eaf14a78bff050b90daaf7a9996cfc2f9a

tdf#143148: Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-08-05 21:42:55 UTC
Zeynep Yavuz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e642179f466c899365fc9539a8aca66b39fea39a

tdf#143148: Use pragma once instead of include guards (Episode 2: Endgame)

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-08-10 17:26:20 UTC
Ankur Khandelwal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/19b3b3b8a516fd7e76fba72ced43be539d01209a

tdf#143148 Replaced #include guards with #pragma once.

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-08-10 19:00:21 UTC
Emircan Agac committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1788dbb32fd212a716ffca4facfc421c59f9ef5a

tdf#143148:Use pragma once in store

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-08-10 20:06:00 UTC
Yildiray committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab0bb71280999ef7c11c341f5269ea98019fe4c3

tdf#143148 Use pragma once in sdext

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-08-11 13:18:28 UTC
Zeynep Yavuz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b0a75847738060266ed1b0d5c046132b97e4e158

tdf#143148: Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-08-13 15:25:58 UTC
Emircan Agac committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ca7e81099b65a72762699791fe114df4743fca13

tdf#143148:Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-08-14 13:13:33 UTC
Yildiray committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/768722ea12779e5c533d691c311b63490e2279d0

tdf#143148: Use pragma once in sdext

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2021-08-26 12:26:02 UTC
Baran Aytas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c7bc3f2ee22f6c5d00364947bdef7ece62a060bd

tdf#143148: Use pragma once in chart2

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2021-08-26 17:21:55 UTC
4k5h1t committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0bae96d56134e2cd2a6fe101fc053cea48c1e017

tdf#143148: Use pragma once instead of include guards in compilerplugins

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2021-09-25 19:17:34 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b964de6daacd583a1ae10760fe76a6cb49bd2e4d

tdf#143148 - Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2021-10-05 16:27:07 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2c0ce0daa0a2eae87e6425793e0dfb39ac5a359e

tdf#143148 - Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2021-10-09 19:36:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/84a4e281c1a552b002b3a7162adfaece47761e88

tdf#143148 - Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2021-10-18 15:08:57 UTC
Henrik Palomäki committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/123edad21081ab45c8d83be4788f3c47c3b9a2dc

tdf#143148 - Use pragma once instead of include guards

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2021-11-21 13:41:44 UTC
Harjot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/805fd18d934c7323f678eb4df2f4b770ea8184f1

tdf#143148 Use pragma once in i18npool

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2021-12-06 11:17:19 UTC
Pesi Taototo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5bd9ded5f01c39f201d21a90541aecb6dba80fad

tdf#143148 Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-12-10 10:02:47 UTC
VaibhavMalik4187 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6565f0d23737868fbbd1aa78c08223dd255e1924

tdf#143148 Use pragma once in vcl

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2021-12-29 04:51:24 UTC
Ramreiso Kashung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7fe2ce55ab86cc7a32850fdf504e368c535949c3

tdf#143148 : Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2022-02-09 07:43:30 UTC
Sinduja Y committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0bc1f4aba10194547a8169eb568cc62e84ec89db

tdf#143148 Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2022-02-17 18:06:51 UTC
psidiumcode committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b69dc9faac1bc5409f43160228703108a002ed11

tdf#143148 Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2022-02-21 06:30:05 UTC
Deep17 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6aec296589f9e1fb35443fc1cdbe5e8ea50d100b

tdf#143148 Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2022-02-22 07:27:40 UTC
Tushar Jham committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/122ebe3ac77056ef381981d641ea5d03b2a62001

tdf#143148 Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Buovjaga 2022-03-28 06:35:10 UTC Comment hidden (obsolete)
Comment 28 Commit Notification 2022-03-30 06:00:23 UTC
mostafa-elsharnoby committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c03b09e502bf178ae3b6752408e4f9813d4a49a8

tdf#143148: Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2022-03-30 06:03:34 UTC
Yomnasalama committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/92ddacfaa00f7dbcddc521f2239916e69e9a33d6

tdf#143148- Use pragma once in connectivity

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2022-04-10 20:36:16 UTC
Behrad Khorram committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a30b3ef7ff4c69272c7c20dc9ea947c15b16216e

tdf#143148 Use pragma once instead of include guards in xlimits.hxx file

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2022-04-12 08:30:37 UTC
Shady Mohamed committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d27d087de2922f918a76437a1385dc4a287afc3

tdf#143148 Use pragma once instead of include guards

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2022-04-17 14:57:55 UTC
Aman Jha committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7784744b1fbc0e07c1b01addd1043606e8a631da

tdf#143148 use pragma once in idlc

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2022-04-18 16:12:16 UTC
Isha_Desai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7de83e464d21f68e1c88b9bf69264482fcc1e49d

tdf#143148 Use pragma once instead of include guards.

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Hossein 2022-06-14 13:26:21 UTC
Re-evaluating the EasyHack in 2022

This task is still relevant, at it is can be a starting point for the newbies who want to start working with the code and submitting patches.
Comment 35 Commit Notification 2022-06-18 13:43:43 UTC
Diane Leigh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/243ffb1604e784a5dbc455a32681af32dd0126af

tdf#143148 Use pragma once in embedserv and helpcompiler

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2022-06-24 06:11:41 UTC
Mahdyar M. M. Sadeghi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/073b1aeb8c02500b8cf8844a1ac774a693e0d39f

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2022-06-26 06:35:18 UTC
Amir H committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e9d4fe965aa40496fb0e2107a3abf1e260a65c28

tdf#143148 Use pragma once instead of the include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2022-06-26 08:10:44 UTC
Parsa committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e021fc0a1a00f4ac635cdbeb89826805482e50df

tdf#143148: Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2022-06-27 21:36:53 UTC
Mahkame Arabgari committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/30ef327ff4ad2eb213265596368677db9b4c074a

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2022-06-30 14:19:51 UTC
Mahdi Tizabi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5cbbbe559ea37b10f276b5a6231c9cc26f8bee12

tdf#143148 Use pragma once in vcl part

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2022-07-03 07:14:25 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c28455b899fa7e9d88f843cd59663aa522a28a33

tdf#143148 store: Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2022-07-04 08:08:13 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6952be913510c63716940648a06163c19622187e

tdf#143148 registry: Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2022-07-10 12:27:00 UTC
Mohsen Rahimi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63ef38cf8140a155e8d34497c5b0050432298bce

tdf#143148 embedserv: Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2022-07-10 15:36:47 UTC
ehsan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2558bb6cfd7e3faf33b7b24cb056a8e44ba8297d

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2022-07-10 17:14:14 UTC
ehsan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/514de206bcd4a59260a806b86f0e90146681d186

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2022-07-10 19:53:04 UTC
am.faraji committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5aad816758652e5a4112527cf477d84e72a724ba

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2022-07-10 20:30:19 UTC
nazanin yadi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a93d7e7df6804cd6f1f2fa1ef0e6e95ce6c3752a

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2022-07-11 10:52:58 UTC
Arman Rezaei committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/20c54847db287a21285835bbdfd09a66070a4c6d

tdf#143148 - Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2022-07-22 17:53:55 UTC
PoonamShokeen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/053f470316b89b6fcea1fac69e6bffd4f65f91ee

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2022-07-28 14:24:47 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2732115080036e4333fd025ca00396b3ff48c624

tdf#143148 tools: Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2022-09-17 07:17:44 UTC
U-LAPTOP-06BFT6KB\Client committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c1e65e8010348b39ba9ffadd3ebfd2587a969c82

tdf#143148 use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2022-10-05 09:49:43 UTC
Nalini Prasad Dash committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/837d52dbc296526f65e16b458152414059abd782

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2022-10-14 06:09:40 UTC
Rakielle committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f42bd275ce707ce3d88553d04582333f2eff0d71

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2022-10-14 08:44:00 UTC
Calvince Otieno committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/93b75323205b1337643c7df2d5aa0eaeb49f888b

tdf#143148 Use pragma once instead of include guards in the header file

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2022-10-14 09:04:14 UTC
Emmanuel Peter committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6629197f08249725e9fef4f0c5fee3c98657d838

tdf#143148: Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2022-10-16 10:40:10 UTC
OmkarAcharekar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3398a2bc324bb00c18071374cb33f97cd9902860

tdf#143148 Use pragma once in sw/source/ui/envelp

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2022-10-18 16:41:17 UTC
Hemant Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/683c2e286e2b8f3220481625d085bdde8e1eab29

tdf#143148 Use pragma once in vcl/source/edit

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Commit Notification 2022-11-02 17:45:21 UTC
sahilbutoal08 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ac90933dde68c6daf1eeebabb55de6e361eb4995

tdf#143148 Use of #pragma once instead of include guards.

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2022-11-03 06:36:09 UTC
zonnebloempje committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e519b121e3e43e4fd9e8e11c2ead4076ccda422f

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2022-11-08 19:31:07 UTC
Harshita Nag committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ddb8a1a282aae74c1cee3a5e1f446abd0c00b116

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2022-11-19 17:58:24 UTC
Siddharth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9cac01b4f19c8fc3adb1a19a71b2f214a1586d8f

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2022-11-22 06:44:26 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b813326ac01b8c8773b499afc9c5ec7dafcbf44f

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2022-11-22 06:47:36 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/08e163864fb48c5299518e98ddff57f192a1ba2a

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2022-11-22 06:47:45 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39490a5a07db543f681fcd6e59083d5c72dc9927

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2022-11-22 06:48:54 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b43d4e1d220b333b7eb17e8a7d914e2cab72985f

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2022-11-22 06:50:03 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1562ac3d7821cee90db383db5734b86691a3887

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2022-11-22 08:25:08 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/70987cc656f0cded915be5aa148f265a257ec791

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2022-11-22 09:21:32 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f2daf6c28fea2b8a1c7c8638ed14f3c0e6c5a034

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 69 Commit Notification 2022-11-22 09:22:41 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c2d1cfd346f7546adbe1cbe8df797adcafcc4acf

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2022-11-22 09:22:50 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1cd62f8cc6d47d1d3ba695e00fc36d650084fede

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 Commit Notification 2022-11-22 09:22:59 UTC
Bogdan B committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/abe269d3f9ca01bb1151d3ef8c20bcfa6530c65c

tdf#143148 Use pragma once instead of include guards

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 72 Commit Notification 2022-12-26 20:00:28 UTC
ahsmha committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/46c8dacd3bd01b0453796d1eb729f81f175837f2

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 73 Commit Notification 2023-01-03 14:26:48 UTC
Douglas Guptill committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8a96d90a890812d49ee4f3c45b99aa0110b94d69

tdf#143148  Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 74 Commit Notification 2023-01-17 08:37:45 UTC
DowdyJ committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b8cda1fe1c87af9f378b49bbd3beee25f3c4a942

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Commit Notification 2023-01-30 05:34:03 UTC
Adoche Onaji committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fea79733c5b98554b4b092a82c30137437db1d7a

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 Commit Notification 2023-02-01 17:56:22 UTC
anfanite396 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/31605a4f46cbe5a231122da9bfb07c859522ec3d

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 Commit Notification 2023-02-05 09:27:03 UTC
Greg Kelesidis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1e2f6e7b27fafd6c579dfb09ccd2012151b4ab7e

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 78 Commit Notification 2023-02-09 06:26:42 UTC
Devansh Jain committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/81fa02eedbda2afa34c82420a02cd3b3f825be06

tdf#143148 Use pragma once instead of include guards in hwpfilter

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 79 Deepanshu Raj 2023-02-11 19:05:22 UTC Comment hidden (obsolete)
Comment 80 Buovjaga 2023-02-11 19:09:52 UTC Comment hidden (obsolete)
Comment 81 Commit Notification 2023-02-13 07:40:44 UTC
deepanshuraj099 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/74501c5da13634632259f738d59b0273e2417147

tdf#143148 Use pragma once in vcl

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 82 Commit Notification 2023-02-13 09:25:59 UTC
buldi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4f6d506e79884b5febb50e61f58bfdba4deef323

tdf#143148 Use pragma once instead of include guard in sw

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2023-02-13 11:26:58 UTC
buldi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8ca611b2125a74cfdb273cfedfa3b94de14f628b

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 Commit Notification 2023-02-13 13:18:33 UTC
buldi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4e822d22e11e241113e392a1475a479e052df909

tdf#143148 Use pragma once instead of include guard

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Commit Notification 2023-02-23 05:52:40 UTC
niket1322git committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e4fb37353e2f9f998c028319c5fa083bf3eaa4cc

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 86 Commit Notification 2023-02-25 10:50:54 UTC
NirnayK committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/925796b3e2b45e04712fb647f0dfcf805a9b4ec2

tdf#143148 Use pragma once in vcl

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 87 Commit Notification 2023-02-28 17:04:26 UTC
niket1322git committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a38fbfbf2f2d63d01444f0a0382b72de3e0af578

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 88 Commit Notification 2023-03-02 15:24:45 UTC
Abdallah Elhdad committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/83cd42f8e3f88e5161c5164c3494a01b2ff9f08c

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 89 Commit Notification 2023-03-09 10:12:19 UTC
Yousef_Rabia committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ddd2e00278eb489576eb4c63f44a1a034e7b9d8e

tdf#143148 Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Commit Notification 2023-03-16 09:25:39 UTC
Uday Sharma committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0d8d0fb8932652f182c46805d5cf3ae7f6ebadd5

tdf#143148: Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 91 Commit Notification 2023-04-03 10:33:36 UTC
jpuronah committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6201b6468f53338f833dd93809cb4a78458114aa

tdf#143148: Use pragma once instead of include guards

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 92 Commit Notification 2023-05-10 16:33:59 UTC
gilssonn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/47b1e4fdb1d70c9812fe849e6007ca74f3e18787

tdf#143148 Use pragma once instead of include guards in chart2

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 93 Commit Notification 2023-06-16 15:38:58 UTC
Venetia Furtado committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8d52aac82344c0198a42ea104fb4fb9b157d8ea4

tdf#143148: Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 94 Commit Notification 2023-07-20 10:47:46 UTC
sahil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e99f7feb57e62d395d5b31f12e1c54194ffbf99d

tdf#143148 Use pragma once in vcl

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 95 Commit Notification 2023-07-20 10:48:49 UTC
sahil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e9dcbb2a5965e062c84b2e222239e83fdf3f3227

tdf#143148 Use pragma once in sw

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 96 Commit Notification 2023-08-22 12:14:20 UTC
Deepika Goyal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3297c1912f40450f92b67ad592ac255e1cd21749

tdf#143148 Use pragma once in vcl

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 97 Commit Notification 2023-08-28 14:34:43 UTC
Tobias Kokolakis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0e51bb2c6b29928403dde5b3af88eb6cf3878f36

tdf#143148: Replace include guards with pragma once

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 98 Commit Notification 2023-08-30 05:12:03 UTC
Yli875 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/abbdb9cf2a40132f67cd6e0f2e9ad686ff36798b

tdf#143148 Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 99 Commit Notification 2023-08-30 05:26:07 UTC
Adam Seskunas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/005f1547b8e5b37da243320b2eb7a84a47f4c821

tdf#143148 Use pragma once in uibase-app

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 100 Commit Notification 2023-09-22 06:48:34 UTC
Bogdan Buzea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0f2918c25daab25cd0721d69f0506fe04456262d

tdf#143148: Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 101 Commit Notification 2023-09-22 15:03:22 UTC
Mihai Vasiliu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/59b685e20cc7c74954757ab6b48a27ddf4d689f1

tdf#143148: Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 102 Commit Notification 2023-09-22 17:17:38 UTC
Cosmin Humeniuc committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/69d0a140ae133f6c9ec708034ca8a888a734f9b9

tdf#143148: Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 103 Commit Notification 2023-09-23 17:56:55 UTC
Ankit_Jaipuriar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/18bc7b514c31270af37e98a0183eb34ed7970265

tdf#143148: Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 104 Commit Notification 2023-10-13 09:00:26 UTC
Federico Gallo Herosa committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/287339e08d01a11e2d70e12f728ee2bf3e89eee3

tdf#143148: Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 105 Commit Notification 2023-10-15 10:08:47 UTC
khushishikhu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/db0681effb0f04dc0f7ad39fa9410dfb7c647d95

tdf#143148 use pragma once and removed include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 106 Commit Notification 2023-10-19 04:39:50 UTC
Aml-Hassan-Abd-El-hamid committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e0fd924cb3446f2c707ea173adc5b1aa81ac81c5

tdf#143148 Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 107 Commit Notification 2023-11-19 00:54:28 UTC
Cristina Mustatea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5682e1d4145c26fc8021879df0543d5aeacf9c83

tdf#143148 Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 108 Commit Notification 2023-11-19 05:41:55 UTC
Taichi Haradaguchi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9beb65b258f5e3e95ad4b86f2682c15ea1dac1af

tdf#143148: Use pragma once instead of include guards in vcl/source

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 109 Commit Notification 2023-11-19 05:42:57 UTC
Taichi Haradaguchi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a688f401980646577d353e96d271499b9b720667

tdf#143148: Use pragma once instead of include guards in vcl/osx

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 110 Commit Notification 2023-11-19 08:15:10 UTC
Taichi Haradaguchi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7618c791a39e74b0f8291ff28f65df78cfa20301

tdf#143148: Use pragma once instead of include guards in vcl/inc/win

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 111 Commit Notification 2023-11-20 03:50:46 UTC
Taichi Haradaguchi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/76898eaf8fc665802c4fcdd129ec221d9019d4b9

tdf#143148: Use pragma once instead of include guards in vcl/inc/unx

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 112 Commit Notification 2023-11-23 14:56:48 UTC
Achintya Sharma committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ee65218d9e74fc787520830f29f74e1ac61383ea

tdf#143148 use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 113 Commit Notification 2023-12-08 02:32:54 UTC
Kira Tubo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7081b28dd6ed1ab8b8d6528d94e44e5dc3b3121d

tdf#143148 Use pragma once instead of include guards

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 114 Commit Notification 2024-01-01 11:04:21 UTC
Luv Sharma committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8eadc80ac0c5e194a99ba57a2bf9d29e1465bdf8

tdf#143148 Use pragma once instead of include guards in vcl

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 115 Commit Notification 2024-01-19 14:51:03 UTC
AkshayWarrier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3f0dd3d635507e4505cab4dac6e493f9dc985c23

tdf#143148 Use pragma once in svx

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 116 Commit Notification 2024-01-21 10:27:16 UTC
seturaj committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eb9e4e7a6c7d11698a64489e22974574daabe823

tdf#143148: Use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 117 Commit Notification 2024-01-22 08:57:36 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/54716495a19d5717ec7fdee47d48773148754efa

Revert "tdf#143148: Use pragma once instead of include guards"

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 118 Commit Notification 2024-01-29 03:52:07 UTC
AungKhantOo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/404312cbf5c2b3cec55c19879d1d7207596b8ddb

tdf#143148 Use pragma once instead of include guards in idl/inc/lex.hxx

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 119 Commit Notification 2024-01-29 09:30:43 UTC
Keldin Maldonado (KNM) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/405e3f8815d9117d3f6d93ac4d0031e308a284f0

tdf#143148 use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 120 Commit Notification 2024-02-05 17:29:19 UTC
Tuukka Orava committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ef6212158d8308d60d3edb6c87117958758436e2

tdf#143148 Use pragma once in vcl/inc/graphic

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 121 Commit Notification 2024-02-13 13:06:02 UTC
Steven Casey (SMCode) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6e0b4b9b9f5aeadf0deb4879b706fec50eb6135f

tdf#143148 Use pragma instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 122 Commit Notification 2024-02-23 02:26:31 UTC
AhmedHamed committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/23056ce647654d57b63cb48a30488d35fcd26c7f

tdf#143148 Use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 123 Commit Notification 2024-02-26 05:45:34 UTC
anish.deshpande committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3d8e32a195203e4b540274b9024ced2bc364afb0

tdf#143148 Use pragma once instead of include guards in vcl and xmloff

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 124 Commit Notification 2024-03-07 18:14:48 UTC
Jonah Janzen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b117f7d42c7c8bce12d61c01b92b8af4e9aa70b1

tdf#143148 Use #pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 125 Commit Notification 2024-03-11 04:43:15 UTC
tbalaj committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5c99838c1ab0ca34648256f47c8719eef00f088b

tdf#143148 Update Include Guard usage

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 126 Commit Notification 2024-03-16 19:21:12 UTC
dmc_dev committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d969251911a3499c78a3e09e0a6eb0285e8ab05c

tdf#143148 update all headers in idl/inc to use #pragma once

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 127 Commit Notification 2024-03-21 15:33:54 UTC
Mohit Marathe committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/370755c72d0b0a5215d2edd45e30782b1e9d0286

tdf#143148 Use #pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 128 Commit Notification 2024-03-21 17:55:15 UTC
Christopher Loi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c76332b52d9b3b967beecc1fe163eea783c471e

tdf#143148: Replace include guards with pragma once

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 129 Commit Notification 2024-03-23 09:03:37 UTC
RMZeroFour committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c845b7db9504d3e4fbc728839d8d73d454415071

tdf#143148 Replace include guards with pragma once in sc module

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 130 Commit Notification 2024-03-29 12:59:03 UTC
U-Aarons_Laptop\Aaron committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cd72cefbc7b8abbdc5a66366e59ec81681d74aba

tdf#143148 replace include guards with pragma once

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 131 Commit Notification 2024-03-29 13:09:06 UTC
wilmhit committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b4134d3554711bfb1c05e8f36f9f4b5bc52aec3f

tdf#143148: Use pragma once in dbui addresslistdialog

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 132 Commit Notification 2024-04-05 16:01:44 UTC
Printf Debugging committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3ca12a07335e1e9ae6b64491faaab6a46e9c4db5

tdf#143148 use pragma once instead of include guards in sc

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 133 Commit Notification 2024-04-06 00:32:27 UTC
Heikki Ilvesmäki committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2c724d88fef38a390744bbe1a4add031c6c62843

tdf#143148 use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 134 Commit Notification 2024-04-10 10:41:12 UTC
Zainab Abbasi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/547f3215fc60819998ca80110ad56e02c41e4b3f

tdf#143148 Use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 135 Commit Notification 2024-04-10 20:29:14 UTC
Omkar Santosh Nikam committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d1dc5707edb992f62d0a4b5bf1e8395f71f6e7b

tdf#143148 Use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 136 Commit Notification 2024-04-13 18:40:46 UTC
HakimOttey committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d38bdbf96c42d367dfa2cc7e2916c814aa08de2

tdf#143148 replace includes guards in vcl textlineinfo with pragma

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 137 Commit Notification 2024-04-17 15:54:24 UTC
Omkar Santosh Nikam committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/123fdb0c7ac53f01406208f3c219e2716599effd

tdf#143148: Use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 138 Commit Notification 2024-04-17 15:54:26 UTC
Omkar Santosh Nikam committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/681e113fae0b1baca6501326dfd249d26b5f68a4

tdf#143148: Use pragma once instead of include guards

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 139 Commit Notification 2024-05-31 12:29:16 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cc733542fecc2e63bc794559dfa6320d788e9254

tdf#143148 kf: Use pragma once in kf5access.hxx

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 140 Commit Notification 2024-06-15 11:08:36 UTC
richtrimble committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5d92f4dbb6ba0af39693564b83a44cc7610b577d

tdf#143148 use pragma once instead of include guards

It will be available in 25.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.